<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="ARGNS_MODEL" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s1="http://www.sap.com/SBO/DIS" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="ARGNS_MODEL" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.sap.com/SBO/DIS">
      <s:element name="AddResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModelParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateResponse">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="GetByParamsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModel" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModelsParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeMethodResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:InvokeParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RemoveResponse">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="ArgnsModel">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Code" type="s:string" />
            <s:element minOccurs="0" name="Name" type="s:string" />
            <s:element minOccurs="0" name="DocEntry" type="s:long" />
            <s:element minOccurs="0" name="Canceled" type="s:string" />
            <s:element minOccurs="0" name="Object" type="s:string" />
            <s:element minOccurs="0" name="LogInst" type="s:long" />
            <s:element minOccurs="0" name="UserSign" type="s:long" />
            <s:element minOccurs="0" name="Transfered" type="s:string" />
            <s:element minOccurs="0" name="CreateDate" type="s:date" />
            <s:element minOccurs="0" name="UpdateDate" type="s:date" />
            <s:element minOccurs="0" name="DataSource" type="s:string" />
            <s:element minOccurs="0" name="U_ATGrp" type="s:string" />
            <s:element minOccurs="0" name="U_ModCode" type="s:string" />
            <s:element minOccurs="0" name="U_ModDesc" type="s:string" />
            <s:element minOccurs="0" name="U_InvItem" type="s:string" />
            <s:element minOccurs="0" name="U_SalItem" type="s:string" />
            <s:element minOccurs="0" name="U_PurItem" type="s:string" />
            <s:element minOccurs="0" name="U_SSDate" type="s:date" />
            <s:element minOccurs="0" name="U_SCDate" type="s:date" />
            <s:element minOccurs="0" name="U_Year" type="s:string" />
            <s:element minOccurs="0" name="U_COO" type="s:string" />
            <s:element minOccurs="0" name="U_Pic" type="s:string" />
            <s:element minOccurs="0" name="U_Active" type="s:string" />
            <s:element minOccurs="0" name="U_FixAsset" type="s:string" />
            <s:element minOccurs="0" name="U_SapGrp" type="s:long" />
            <s:element minOccurs="0" name="U_PList" type="s:long" />
            <s:element minOccurs="0" name="U_Division" type="s:string" />
            <s:element minOccurs="0" name="U_Season" type="s:string" />
            <s:element minOccurs="0" name="U_FrgnDesc" type="s:string" />
            <s:element minOccurs="0" name="U_ModGrp" type="s:string" />
            <s:element minOccurs="0" name="U_StyleTyp" type="s:string" />
            <s:element minOccurs="0" name="U_SclCode" type="s:string" />
            <s:element minOccurs="0" name="U_LineCode" type="s:string" />
            <s:element minOccurs="0" name="U_Vendor" type="s:string" />
            <s:element minOccurs="0" name="U_MainWhs" type="s:string" />
            <s:element minOccurs="0" name="U_Comments" type="s:string" />
            <s:element minOccurs="0" name="U_BOM" type="s:string" />
            <s:element minOccurs="0" name="U_Owner" type="s:string" />
            <s:element minOccurs="0" name="U_Approved" type="s:string" />
            <s:element minOccurs="0" name="U_PicR" type="s:string" />
            <s:element minOccurs="0" name="U_IsEE" type="s:string" />
            <s:element minOccurs="0" name="U_Price" type="s:double" />
            <s:element minOccurs="0" name="U_WhsNewI" type="s:string" />
            <s:element minOccurs="0" name="U_CollCode" type="s:string" />
            <s:element minOccurs="0" name="U_AmbCode" type="s:string" />
            <s:element minOccurs="0" name="U_CompCode" type="s:string" />
            <s:element minOccurs="0" name="U_Brand" type="s:string" />
            <s:element minOccurs="0" name="U_RoutCode" type="s:string" />
            <s:element minOccurs="0" name="U_SclPOM" type="s:string" />
            <s:element minOccurs="0" name="U_CodePOM" type="s:string" />
            <s:element minOccurs="0" name="U_ChartCod" type="s:string" />
            <s:element minOccurs="0" name="U_Designer" type="s:string" />
            <s:element minOccurs="0" name="U_Customer" type="s:string" />
            <s:element minOccurs="0" name="U_GrpSCod" type="s:string" />
            <s:element minOccurs="0" name="U_Currency" type="s:string" />
            <s:element minOccurs="0" name="U_Status" type="s:string" />
            <s:element minOccurs="0" name="U_RMaterial" type="s:string" />
            <s:element minOccurs="0" name="U_InsChart" type="s:string" />
            <s:element minOccurs="0" name="U_DocNumb" type="s:string" />
            <s:element minOccurs="0" name="U_BinCode" type="s:string" />
            <s:element minOccurs="0" name="U_ARGNS_ArmStyle" type="s:string" />
            <s:element minOccurs="0" name="U_ARGNS_COMPII" type="s:string" />
            <s:element minOccurs="0" name="U_ARGNSOpcion" type="s:string" />
            <s:element minOccurs="0" name="U_SkuGen" type="s:string" />
            <s:element minOccurs="0" name="U_Fachita" type="s:string" />
            <s:element minOccurs="0" name="U_DropCode" type="s:string" />
            <s:element minOccurs="0" name="U_MenType" type="s:string" />
            <s:element minOccurs="0" name="U_ListUDF" type="s:string" />
            <s:element minOccurs="0" name="U_ARGNS_ListUDF" type="s:string" />
            <s:element minOccurs="0" name="ARGNS_MODEL_SIZECollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_SIZE">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_SizeCod" type="s:string" />
                        <s:element minOccurs="0" name="U_Selected" type="s:string" />
                        <s:element minOccurs="0" name="U_SclCode" type="s:string" />
                        <s:element minOccurs="0" name="U_VOrder" type="s:long" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_COLORCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_COLOR">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_ColCode" type="s:string" />
                        <s:element minOccurs="0" name="U_Active" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_IMGCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_IMG">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_File" type="s:string" />
                        <s:element minOccurs="0" name="U_FType" type="s:string" />
                        <s:element minOccurs="0" name="U_Path" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_FILECollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_FILE">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_File" type="s:string" />
                        <s:element minOccurs="0" name="U_FType" type="s:string" />
                        <s:element minOccurs="0" name="U_Path" type="s:string" />
                        <s:element minOccurs="0" name="U_DesignTool" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_INSTCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_INST">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_Sector" type="s:string" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_InstCod" type="s:string" />
                        <s:element minOccurs="0" name="U_Instuct" type="s:string" />
                        <s:element minOccurs="0" name="U_Descrip" type="s:string" />
                        <s:element minOccurs="0" name="U_Imag" type="s:string" />
                        <s:element minOccurs="0" name="U_Version" type="s:string" />
                        <s:element minOccurs="0" name="U_Active" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_FITTCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_FITT">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_FittCod" type="s:string" />
                        <s:element minOccurs="0" name="U_Fitting" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_BOMCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_BOM">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ItemCode" type="s:string" />
                        <s:element minOccurs="0" name="U_Quantity" type="s:double" />
                        <s:element minOccurs="0" name="U_UOM" type="s:string" />
                        <s:element minOccurs="0" name="U_Whse" type="s:string" />
                        <s:element minOccurs="0" name="U_IssueMth" type="s:string" />
                        <s:element minOccurs="0" name="U_PList" type="s:long" />
                        <s:element minOccurs="0" name="U_UPrice" type="s:double" />
                        <s:element minOccurs="0" name="U_Total" type="s:double" />
                        <s:element minOccurs="0" name="U_Comments" type="s:string" />
                        <s:element minOccurs="0" name="U_TreeType" type="s:string" />
                        <s:element minOccurs="0" name="U_PVendor" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_VARCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_VAR">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_ModCode" type="s:string" />
                        <s:element minOccurs="0" name="U_VarCode" type="s:string" />
                        <s:element minOccurs="0" name="U_IntVCode" type="s:string" />
                        <s:element minOccurs="0" name="U_Selected" type="s:string" />
                        <s:element minOccurs="0" name="U_VarDesc" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODELWFLOWCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODELWFLOW">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_Workflow" type="s:string" />
                        <s:element minOccurs="0" name="U_WorkfDes" type="s:string" />
                        <s:element minOccurs="0" name="U_Depart" type="s:string" />
                        <s:element minOccurs="0" name="U_Active" type="s:string" />
                        <s:element minOccurs="0" name="U_Role" type="s:string" />
                        <s:element minOccurs="0" name="U_CodeMger" type="s:string" />
                        <s:element minOccurs="0" name="U_Manager" type="s:string" />
                        <s:element minOccurs="0" name="U_User" type="s:string" />
                        <s:element minOccurs="0" name="U_EmplName" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODELPOMCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODELPOM">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_POM" type="s:string" />
                        <s:element minOccurs="0" name="U_Desc" type="s:string" />
                        <s:element minOccurs="0" name="U_SizeCode" type="s:string" />
                        <s:element minOccurs="0" name="U_SizeDesc" type="s:string" />
                        <s:element minOccurs="0" name="U_Value" type="s:double" />
                        <s:element minOccurs="0" name="U_TolPosit" type="s:double" />
                        <s:element minOccurs="0" name="U_TolNeg" type="s:double" />
                        <s:element minOccurs="0" name="U_QAPoint" type="s:string" />
                        <s:element minOccurs="0" name="U_SclPom" type="s:string" />
                        <s:element minOccurs="0" name="U_PomCode" type="s:string" />
                        <s:element minOccurs="0" name="U_Comments" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_CSCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_CS">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_CSCode" type="s:string" />
                        <s:element minOccurs="0" name="U_Desc" type="s:string" />
                        <s:element minOccurs="0" name="U_Selected" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
            <s:element minOccurs="0" name="ARGNS_MODEL_LOGOSCollection">
              <s:complexType>
                <s:sequence>
                  <s:element minOccurs="0" maxOccurs="unbounded" name="ARGNS_MODEL_LOGOS">
                    <s:complexType>
                      <s:all>
                        <s:element minOccurs="0" name="Code" type="s:string" />
                        <s:element minOccurs="0" name="LineId" type="s:long" />
                        <s:element minOccurs="0" name="Object" type="s:string" />
                        <s:element minOccurs="0" name="LogInst" type="s:long" />
                        <s:element minOccurs="0" name="U_CodeLogo" type="s:string" />
                        <s:element minOccurs="0" name="U_LogDesc" type="s:string" />
                        <s:element minOccurs="0" name="U_Location" type="s:string" />
                        <s:element minOccurs="0" name="U_Position" type="s:string" />
                        <s:element minOccurs="0" name="U_ModColor" type="s:string" />
                        <s:element minOccurs="0" name="U_CodColow" type="s:string" />
                        <s:element minOccurs="0" name="U_Colorway" type="s:string" />
                        <s:element minOccurs="0" name="U_Variable" type="s:string" />
                      </s:all>
                    </s:complexType>
                  </s:element>
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="ArgnsModelParams">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Code" type="s:string" />
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="ArgnsModelsParams">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="unbounded" name="ArgnsModelParams">
              <s:complexType>
                <s:all>
                  <s:element minOccurs="0" name="Code" type="s:string" />
                </s:all>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeParams">
        <s:complexType>
          <s:all>
            <s:element minOccurs="0" name="Value" type="s:string" />
          </s:all>
        </s:complexType>
      </s:element>
      <s:element name="MsgHeader">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SessionID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ServiceName">
              <s:simpleType>
                <s:restriction base="s:string">
                  <s:enumeration value="ARGNS_MODEL" />
                </s:restriction>
              </s:simpleType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
    <s:schema elementFormDefault="qualified" targetNamespace="ARGNS_MODEL">
      <s:import namespace="http://www.sap.com/SBO/DIS" />
      <s:element name="Add">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModel" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Update">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModel" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetByParams">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModelParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetList">
        <s:complexType>
          <s:sequence />
        </s:complexType>
      </s:element>
      <s:element name="InvokeMethod">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:InvokeParams" />
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModel" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Remove">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" ref="s1:ArgnsModelParams" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="AddSoapIn">
    <wsdl:part name="parameters" element="tns:Add" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="AddSoapOut">
    <wsdl:part name="parameters" element="s1:AddResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateSoapIn">
    <wsdl:part name="parameters" element="tns:Update" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="UpdateSoapOut">
    <wsdl:part name="parameters" element="s1:UpdateResponse" />
  </wsdl:message>
  <wsdl:message name="GetByParamsSoapIn">
    <wsdl:part name="parameters" element="tns:GetByParams" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="GetByParamsSoapOut">
    <wsdl:part name="parameters" element="s1:GetByParamsResponse" />
  </wsdl:message>
  <wsdl:message name="GetListSoapIn">
    <wsdl:part name="parameters" element="tns:GetList" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="GetListSoapOut">
    <wsdl:part name="parameters" element="s1:GetListResponse" />
  </wsdl:message>
  <wsdl:message name="InvokeMethodSoapIn">
    <wsdl:part name="parameters" element="tns:InvokeMethod" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="InvokeMethodSoapOut">
    <wsdl:part name="parameters" element="s1:InvokeMethodResponse" />
  </wsdl:message>
  <wsdl:message name="RemoveSoapIn">
    <wsdl:part name="parameters" element="tns:Remove" />
    <wsdl:part name="request_header" element="s1:MsgHeader" />
  </wsdl:message>
  <wsdl:message name="RemoveSoapOut">
    <wsdl:part name="parameters" element="s1:RemoveResponse" />
  </wsdl:message>
  <wsdl:portType name="ARGNS_MODELSoap">
    <wsdl:operation name="Add">
      <wsdl:input message="tns:AddSoapIn" />
      <wsdl:output message="tns:AddSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Update">
      <wsdl:input message="tns:UpdateSoapIn" />
      <wsdl:output message="tns:UpdateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <wsdl:input message="tns:GetByParamsSoapIn" />
      <wsdl:output message="tns:GetByParamsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <wsdl:input message="tns:GetListSoapIn" />
      <wsdl:output message="tns:GetListSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <wsdl:input message="tns:InvokeMethodSoapIn" />
      <wsdl:output message="tns:InvokeMethodSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <wsdl:input message="tns:RemoveSoapIn" />
      <wsdl:output message="tns:RemoveSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ARGNS_MODELSoap" type="tns:ARGNS_MODELSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Add">
      <soap:operation soapAction="ARGNS_MODEL/Add" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:AddSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Update">
      <soap:operation soapAction="ARGNS_MODEL/Update" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:UpdateSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <soap:operation soapAction="ARGNS_MODEL/GetByParams" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:GetByParamsSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <soap:operation soapAction="ARGNS_MODEL/GetList" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:GetListSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <soap:operation soapAction="ARGNS_MODEL/InvokeMethod" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:InvokeMethodSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <soap:operation soapAction="ARGNS_MODEL/Remove" style="document" />
      <wsdl:input>
        <soap:body use="literal" parts="parameters" />
        <soap:header message="tns:RemoveSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ARGNS_MODELSoap12" type="tns:ARGNS_MODELSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Add">
      <soap12:operation soapAction="ARGNS_MODEL/Add" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:AddSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Update">
      <soap12:operation soapAction="ARGNS_MODEL/Update" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:UpdateSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByParams">
      <soap12:operation soapAction="ARGNS_MODEL/GetByParams" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:GetByParamsSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetList">
      <soap12:operation soapAction="ARGNS_MODEL/GetList" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:GetListSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeMethod">
      <soap12:operation soapAction="ARGNS_MODEL/InvokeMethod" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:InvokeMethodSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Remove">
      <soap12:operation soapAction="ARGNS_MODEL/Remove" style="document" />
      <wsdl:input>
        <soap12:body use="literal" parts="parameters" />
        <soap12:header message="tns:RemoveSoapIn" part="request_header" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ARGNS_MODEL">
    <wsdl:port name="ARGNS_MODELSoap" binding="tns:ARGNS_MODELSoap">
      <soap:address location="http://localhost/B1WS/Service.asmx" />
    </wsdl:port>
    <wsdl:port name="ARGNS_MODELSoap12" binding="tns:ARGNS_MODELSoap12">
      <soap12:address location="http://localhost/B1WS/Service.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>